//
//  ItemCollectionPlayer.swift
//  WtaTennis
//
//  Created by Johan LACHENAL on 14/05/2024.
//

import SwiftUI

struct PlayerProfileView: View {

    var body: some View {
        HStack(spacing: 15) {
            Text("1") // \(player.rank)
                .font(.largeTitle)
                .fontWeight(.bold)
                .foregroundColor(.purple)
            
            Image("Image")
                .resizable()
                .aspectRatio(contentMode: .fill)
                .frame(width: 50, height: 50)
                .clipShape(Circle())
            
            Text("Iga Swiatek")
                .font(.title2)
                .fontWeight(.semibold)
            
            Spacer()
            
            Label(" France ", systemImage: "flag.fill")
                .labelStyle(.titleAndIcon)
                .foregroundColor(.red)
        }
        .padding(.horizontal)
    }
}

struct PlayerProfileView_Previews: PreviewProvider {
    static var previews: some View {
        PlayerProfileView()
    }
}
